1.3
1.3
get /v1/configinspection/diagnosis/checklist/version
Description
체크리스트 버전
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | csp_type optional | 클라우드 서비스 제공자의 유형 Example : SCP | any of [string, null] | None |
| query | diagnosis_check_type optional | 진단 체크리스트 Example : BP | any of [string, null] | None |
| query | checklist_name optional | 체크리스트 이름 Example : BP-2024-001 | any of [string, null] | None |
| query | check_list_version optional | 체크리스트 버전 Example : v1.0 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CheckListVersionResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/configinspection/diagnosis/checklist/version
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.3"
Example HTTP response
Response 200
{
"contents": [
{
"check_list_name": "BP-2024-001",
"check_list_state": "ACTIVE",
"check_list_version": "v1.0",
"check_list_version_id": "d1873841f30c4862897d1f287a973a7f",
"csp_type": "SCP",
"diagnosis_check_type": "BP"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}